플러그인을 작동시키기 위해서 클릭이 왜 필요합니까?

Firefox 버전 52 가 릴리즈 된 2017년 3월 7일부터 Flash를 제외한 모든 NPAPI 플러그인의 지원이 중단되었습니다. 호환성 문서이 글에서 자세히 알아보세요.

Firefox 버전 52와 함께 Adobe Flash를 제외한 모든 NPAPI의 지원이 중단되었습니다. 호환성 문서이 글에서 자세히 알아보세요.

브라우징 환경을 빠르고 안전하게 유지하기 위해 Firefox는 기본적으로 플러그인을 활성화하지 않습니다. 대신 Firefox에서는 웹 사이트에서 플러그인을 활성화할지 여부를 선택할 수 있습니다.

플러그인 활상화 방법

  1. Firefox가 콘텐츠를 표시하는 대신 플러그인을 차단하면 클릭하여 Adobe Flash와 같은 플러그인을 활성화하라는 메시지가 표시됩니다.
    activate flash 55
  2. 플러그인을 활성화하기 위해 클릭하면 Firefox는 두 가지 선택 사항을 표시합니다
    • 지금만 허가: 단일 방문에 대해서만 플래시를 활성화합니다.
    • 허가하고 기억: 해당 사이트를 방문 할 때마다 플래시를 활성화합니다.
    • 클릭하여 플러그인을 활성화하고 허용하면 누락 된 콘텐츠가 정상적으로 로드됩니다. (그렇지 않은 경우 검색 주소창에서 FxReloadButton 버튼을 클릭하여 페이지를 다시 로드하고 다시 시도하십시오.)

플러그인 활성화 시점

이와 같은 상황에서 현재 작업에 따라 적절한 선택을 할 수 있습니다.

  • 직장이나 학교를 위한 특별 사이트와 같이 신뢰할 수있는 사이트를 이용하는 경우 사이트 콘텐츠를 보기 위해 플러그인을 사용할 수 있을만큼 안전하다고 느낄 수 있습니다.

예를 들어 링크를 따라 도착한 웹 사이트를 완전히 신뢰하지 않으면 플러그인을 활성화하지 않을 것입니다.

항상 플러그인 활성화 (권장하지 않음) ':'about:addons'로 이동하여 플러그인을 '항상 사용' 으로 설정하여 플러그인을 항상 활성화하도록 설정할 수도 있습니다. '항상 활성화하십시오. 플러그인이 자동으로 실행되며 '클릭하여 활성화'메시지가 표시되지 않습니다.

과거에는 안정성이나 보안에 문제점이 있는 플러그인으로부터 여러분을 보호하기 위해, Firefox는 문제점이 있는 플러그인을 사용하지 않게 할 수밖에 없었습니다. 지금의 Firefox는 문제점이 많은 플러그인의 자동 실행을 방지하고, 플러그인의 실행 및 업데이트를 여러분이 선택할 수 있습니다. 사용은 다음과 같습니다.

참고: 이 문서에서는 플러그인이 안정성 또는 보안 문제로 인해 Mozilla에서 자동 실행이 차단되었을 경우에 어떻게 해야 되는지에 대해 설명합니다. 부가 기능 관리자에서 플러그인들(Adobe Flash는 제외)의 기본 설정이 "런타임 확인"으로 되어있기 때문에, 모두 업데이트 되었다고 보고하더라도, 대부분의 플러그인은 아직도 활성화시켜야 합니다. 더 많은 정보는 이 블로그의 포스트를 참고하세요.

작동을 활성화하기 위한 클릭 방법

  1. Firefox가 플러그인을 차단할 경우에 다음과 같은 메시지를 볼 수 있을 것입니다:
    Click to play 1 new
  2. 플러그인 실행이나 업데이트를 선택할 수 있을 것입니다.
    • 활성화를 클릭하고 플러그인 사용을 허락하면, 보이지 않던 콘텐츠가 정상적으로 로딩될 것입니다(만약 되지 않으면, 주소창에 있는 새로고침 FxReloadButton 버튼을 클릭해 페이지를 새로고침 하세요). 그러나, 다음 번에 이 페이지를 방문하거나 다른 곳에서 이 플러그인을 사용하면 이 메시지가 다시 표시될 것입니다.
    Click to play 2 new

어떤 경우에 플러그인을 업데이트 하지 않고 활성화하나요?

플러그인 업데이트가 가장 안전하지만, 어떤 경우에는 그러지 못할 때가 있습니다. 예를 들어, 직장 또는 학교의 컴퓨터를 업데이트 할 수 없는 경우도 있습니다. 이와 같은 경우, 현재의 상황에 따라 현명한 판단을 할 수 있습니다:

  • YouTube와 같은 신뢰할 수 있는 사이트를 사용하거나 직장, 학교와 같은 곳의 특별한 사이트를 사용하는 경우, 취약한 플러그인을 활성화해 사이트의 콘텐츠를 봐도 안전할 수 있습니다.
  • 링크와 연결된 사이트를 완전히 신뢰하지 않는 경우, 플러그인을 활성화하지 않을 것입니다.

신뢰하는 사이트에서 플러그인 항상 사용하기

만약 여러분이 플러그인을 업데이트 할 수 없지만 신뢰할 수 있는 사이트를 사용한다면, 여러분은 그 사이트에서 사용할 때는 항상 자동으로 플러그인이 실행되도록 설정할 수 있습니다:

  1. 주소 표시줄에서 빨간 플러그인 아이콘을 클릭하면 메시지 창이 열릴 것입니다.
  2. 메시지 패널에서 허가하고 기억을 선택합니다.
    Blocklisted-ActivateFlash

이제 이 사이트에 방문할 때는 항상 이 플러그인이 자동으로 실행되고 "활성화하려면 클릭하세요" 메시지가 보이지 않을 것입니다.

이 문서가 도움이 되셨습니까? 잠시만 기다려 주십시오...

다음의 훌륭한 분들이 이 문서에 기여하였습니다: 윤석찬(Channy), Narae Kim, dskmori, Younghwan Kwon, seulgi, 이동희. 여러분도 기여할 수 있습니다 - 기여 방법을 살펴보세요.